<?php

  $diy_tutorials_theme_custom_setting_css = '';

	// Global Color
	$diy_tutorials_theme_color = get_theme_mod('diy_tutorials_theme_color', '#FB3939');

	$diy_tutorials_theme_custom_setting_css .=':root {';
		$diy_tutorials_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($diy_tutorials_theme_color ).'!important;';
	$diy_tutorials_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$diy_tutorials_scroll_alignment = get_theme_mod('diy_tutorials_scroll_alignment', 'right');

    if($diy_tutorials_scroll_alignment == 'right'){
        $diy_tutorials_theme_custom_setting_css .='.scroll-up{';
            $diy_tutorials_theme_custom_setting_css .='right: 30px;!important;';
			$diy_tutorials_theme_custom_setting_css .='left: auto;!important;';
        $diy_tutorials_theme_custom_setting_css .='}';
    }else if($diy_tutorials_scroll_alignment == 'center'){
        $diy_tutorials_theme_custom_setting_css .='.scroll-up{';
            $diy_tutorials_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $diy_tutorials_theme_custom_setting_css .='}';
    }else if($diy_tutorials_scroll_alignment == 'left'){
        $diy_tutorials_theme_custom_setting_css .='.scroll-up{';
            $diy_tutorials_theme_custom_setting_css .='left: 30px;!important;';
			$diy_tutorials_theme_custom_setting_css .='right: auto;!important;';
        $diy_tutorials_theme_custom_setting_css .='}';
    }

	// Related Product

	$diy_tutorials_show_related_product = get_theme_mod('diy_tutorials_show_related_product', true );

	if($diy_tutorials_show_related_product != true){
		$diy_tutorials_theme_custom_setting_css .='.related.products{';
			$diy_tutorials_theme_custom_setting_css .='display: none;';
		$diy_tutorials_theme_custom_setting_css .='}';
	}
	
	// Featured Image Hover Effect
    $diy_tutorials_show_featured = get_theme_mod('diy_tutorials_featured_image_hide_show', 1);
    $diy_tutorials_hover_effect = get_theme_mod('diy_tutorials_single_post_featured_image_hover','none');

    if ( $diy_tutorials_show_featured && $diy_tutorials_hover_effect !== 'none' ) {

    $diy_tutorials_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $diy_tutorials_hover_effect === 'zoom-in' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $diy_tutorials_hover_effect === 'zoom-out' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $diy_tutorials_hover_effect === 'grayscale' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $diy_tutorials_hover_effect === 'sepia' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $diy_tutorials_hover_effect === 'blur' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $diy_tutorials_hover_effect === 'bright' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $diy_tutorials_hover_effect === 'translate' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $diy_tutorials_hover_effect === 'scale' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $diy_tutorials_show_featured = get_theme_mod('diy_tutorials_featured_image_hide_show', 1);
    $diy_tutorials_hover_effect = get_theme_mod('diy_tutorials_product_featured_image_hover','none');

    if ( $diy_tutorials_show_featured && $diy_tutorials_hover_effect !== 'none' ) {

    $diy_tutorials_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $diy_tutorials_hover_effect === 'zoom-in' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $diy_tutorials_hover_effect === 'zoom-out' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $diy_tutorials_hover_effect === 'grayscale' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $diy_tutorials_hover_effect === 'sepia' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $diy_tutorials_hover_effect === 'blur' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $diy_tutorials_hover_effect === 'bright' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $diy_tutorials_hover_effect === 'translate' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $diy_tutorials_hover_effect === 'scale' ) {
        $diy_tutorials_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   